Subject: Re: [PATCH] Clarification for the command "git checkout <branch>"

From: Markus Elfring <[email-masked]>
Date: Sat, 20 Mar 2010 07:00:09 +0100

> Commits cost almost exactly zero.

The storage costs are negligible. I am more concerned about unwanted work flow
effects because a modification might be committed and suddenly merged too early.

>     git commit -a -m 'FIXME temporary'

The specified message is not independent from a language. I see also a potential
for typos by this approach which will make it harder to distinguish
non-temporary commits from the real ones.

Regards,
Markus